Package org.apache.sling.feature.osgi

# Class Converters

java.lang.Object
org.apache.sling.feature.osgi.Converters

public class Converters extends Object
Utility class to convert Apache Sling features to OSGi feature and vice versa.

## Constructor Summary

Constructors
Constructor
Description
`Converters()`

## Method Summary

Modifier and Type
Method
Description
`static org.osgi.service.feature.Feature`
`convert(Feature feature)`
Convert an Apache Sling feature into an OSGi feature
`static Feature`
`convert(org.osgi.service.feature.Feature feature)`
Convert an OSGi feature into an Apache Sling feature

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Converters

public Converters()

## Method Details

### convert

public static org.osgi.service.feature.Feature convert(Feature feature) throws IOException
Convert an Apache Sling feature into an OSGi feature

Parameters:
  `feature` - The feature to convert
Returns:
  The OSGi feature or `null` if feature is `null`
Throws:
  `IOException` - If the conversion fails

### convert

public static Feature convert(org.osgi.service.feature.Feature feature) throws IOException
Convert an OSGi feature into an Apache Sling feature

Parameters:
  `feature` - The feature to convert
Returns:
  The Apache Sling feature or `null` if feature is `null`
Throws:
  `IOException` - If the conversion fails